<?php
/**
 * @version		$Id: mod_responsivebannerslider.php 1.0
 * @Official site http://www.templateplazza.com
 * @package		Joomla 3.0.x
 * @subtype Nivo adapted by Andy Sikumbang
 * @subtype Adaptor adapted by Rony S Y Zebua
 * @subtype Sequence adapted by Andy Sikumbang
 * @subpackage	mod_responsivebannerslider
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once dirname(__FILE__).'/helper.php';
require_once JPATH_ADMINISTRATOR . '/components/com_banners/helpers/banners.php';
// call jquery lib - ensure this is called first before another jquery plugins - schro
// JHtml::_('jquery.framework');

$doc			= &JFactory::getDocument();
$baseurl        = ''.JURI::base(true).'/';
$modulebase		= ''.JURI::base(true).'/modules/mod_responsivebannerslider/';
$rbs_mod_id		= $module->id;
$rbs_css_mod_id	= 'rbs-'.$rbs_mod_id;
	
//Get Global Parameters
$sliderType		= (int) $params->get('sliderType', 0);
$sliderNavigation	= (int) $params->get('sliderNavigation', 1);
$sliderControl	= (int) $params->get('sliderControl', 1);


//Get Adaptor Parameters
if ($sliderType==0) {
	$sliderHight	= intval( $params->get( 'sliderHight', 105 ) );
	$autoPlay		= $params->get( 'autoPlay', 'true' ) ;
	$sliderInterval	= intval( $params->get( 'sliderInterval', 5000 ) );
	$sliderSpeed	= intval( $params->get( 'sliderSpeed', 1000 ) );
	$effect			= $params->get( 'effect', 'scrollVert3d' ) ;
}

if ($sliderType==0) {
	// *** Start The System For Adaptor === //
	
	if (($sliderNavigation==1) or ($sliderControl==1)) :
		$BoxImgHight=$sliderHight-5;
	endif;
	
	if (($sliderNavigation!=1) and ($sliderControl!=1)) :
		$BoxImgHight=$sliderHight;
	endif;
	
	$doc->addScript($modulebase.'assets/modernizr.min.js');
	$doc->addStylesheet($modulebase.'assets/adaptor/style.css');
	
	$cssinline="
		#viewport-shadow #box".$rbs_mod_id.", 
		#viewport-shadow #box".$rbs_mod_id." .slide,
		#viewport-shadow #box".$rbs_mod_id." .slide img {width: 100%!important;}
		
		
		.".$rbs_css_mod_id." #viewport-shadow{height: ".$sliderHight."px!important;}
		.".$rbs_css_mod_id." #viewport-shadow #box".$rbs_mod_id." .slide img {height: ".$BoxImgHight."px!important;}
		.".$rbs_css_mod_id." #slider-navigation #prev {top: ".$sliderHight."px;}
		
		@media screen and (min-width: 761px) {
			.".$rbs_css_mod_id." #viewport-shadow{height: ".$sliderHight."px!important;}
			
			.".$rbs_css_mod_id." #viewport-shadow #viewport,
			.".$rbs_css_mod_id." #viewport-shadow #box".$rbs_mod_id.",
			.".$rbs_css_mod_id." #viewport-shadow #box".$rbs_mod_id." .slide,
			.".$rbs_css_mod_id." #viewport-shadow #box".$rbs_mod_id." .slide img {height: ".$BoxImgHight."px!important;}
			
			.".$rbs_css_mod_id." #slider-navigation #next,
			.".$rbs_css_mod_id." #slider-navigation #prev {top: ".$sliderHight."px;}
		}
		
		@media screen and (max-width: 760px) {
			.".$rbs_css_mod_id." #viewport-shadow{height: ".$sliderHight / 2 ."px!important;}
			
			.".$rbs_css_mod_id." #viewport-shadow #viewport,
			.".$rbs_css_mod_id." #viewport-shadow #box".$rbs_mod_id.",
			.".$rbs_css_mod_id." #viewport-shadow #box".$rbs_mod_id." .slide,
			.".$rbs_css_mod_id." #viewport-shadow #box".$rbs_mod_id." .slide img {height: ".$BoxImgHight / 2 ."px!important;}
			
			.".$rbs_css_mod_id." #slider-navigation #next,
			.".$rbs_css_mod_id." #slider-navigation #prev {top: ".$sliderHight / 2 ."px;}
		}
		
		@media screen and (max-width: 360px) {
		
		.".$rbs_css_mod_id." #viewport-shadow{height: ".($sliderHight / 2)/2 ."px!important;}
		
		.".$rbs_css_mod_id." #viewport-shadow #viewport,
		.".$rbs_css_mod_id." #viewport-shadow #box".$rbs_mod_id.",
		.".$rbs_css_mod_id." #viewport-shadow #box".$rbs_mod_id." .slide,
		.".$rbs_css_mod_id." #viewport-shadow #box".$rbs_mod_id." .slide img {height: ".($BoxImgHight / 2)/2 ."px!important;}
		
		.".$rbs_css_mod_id." #slider-navigation #next,
		.".$rbs_css_mod_id." #slider-navigation #prev {top: ".($sliderHight / 2)/2 ."px;}
			
		}
	";
	
	$doc->addStyleDeclaration($cssinline, 'text/css');
?>	

	<script src="<?php echo $modulebase;?>assets/adaptor/box-slider-all.jquery.min.js"></script>
		<script>

		  jQuery(function () {

				var $box = jQuery('#box<?php echo $rbs_mod_id;?>')
				  , $indicators = jQuery('.goto-slide')
				  , $effects = jQuery('.effect')
				  , $timeIndicator = jQuery('#time-indicator')
				  , slideInterval = <?php echo $sliderInterval;?>;

				var switchIndicator = function ($c, $n, currIndex, nextIndex) {
				  $timeIndicator.stop().css('width', 0);
				  $indicators.removeClass('current').eq(nextIndex).addClass('current');
				};

				var startTimeIndicator = function () {
				  $timeIndicator.animate({width: '100%'}, slideInterval);
				};

				// initialize the plugin with the desired settings
				$box.boxSlider({
					speed: <?php echo $sliderSpeed;?>
				  , autoScroll: <?php echo $autoPlay;?>
				  , timeout: slideInterval
				  , next: '#next'
				  , prev: '#prev'
				  , pause: '#pause'
				  , effect: '<?php echo $effect;?>'
				  , blindCount: 15
				  , onbefore: switchIndicator
				  , onafter: startTimeIndicator
				});

				startTimeIndicator();

				// pagination isn't built in simply because it's easy to
				// roll your own with the plugin API methods
				jQuery('#controls').on('click', '.goto-slide', function (ev) {
				  $box.boxSlider('showSlide', jQuery(this).data('slideindex'));
				  ev.preventDefault();
				});

				jQuery('#effect-list').on('click', '.effect', function (ev) {
				  var $effect = jQuery(this);

				  $box.boxSlider('option', 'effect', $effect.data('fx'));
				  $effects.removeClass('current');
				  $effect.addClass('current');

				  switchIndicator(null, null, 0, 0);
				  ev.preventDefault();
				});

		  });

		</script>
		
	
<?php
	// === End The System For Adaptor *** //
}
 
 
if ($sliderType==1) {
	// *** Start The System For Nivo === //
	$nivo_effect	= $params->get( 'nivo_effect', 'random' ) ;
	$doc->addScript($modulebase.'assets/nivo/jquery.nivo.slider.pack.js');
	$jsinline = "
		jQuery(window).load(function() {
			jQuery('#slider-".$rbs_mod_id."').nivoSlider(
				{effect:'".$nivo_effect."',}
			);
		});
		";
		$doc->addScriptDeclaration($jsinline);
		
	$theme = (int) $params->get( 'theme', 4 );
	if ( $theme == 1 ) {
		$choosentheme ="bar";
	} elseif ( $theme == 2 ) {
		$choosentheme ="dark";
	} elseif ( $theme == 3) {
		$choosentheme ="light";
	} else {
		$choosentheme ="default";
	}

		
	$doc->addstylesheet($modulebase.'assets/nivo/themes/'.$choosentheme.'/style.css');
	$doc->addStylesheet($modulebase.'assets/nivo/style.css');
		//$cssinline = '.ei-slider{height:'.$height.'px;}';
		//$doc->addStyleDeclaration($cssinline, 'text/css');

	$show_caption = (int) $params->get( 'show_caption', 0 );


	if ( $sliderNavigation == 0 ) { 
		$doc->addStyleDeclaration(".nivo-controlNav {display:none;}");
		
	}
	// ==== End The System For Nivo *** //
}

if ($sliderType==2) { 
	$stheme = (int) $params->get( 'stheme', 1 );
	$sbg = $params->get( 'sbg', '#333' );
	$sbgimg = $params->get( 'sbgimg', ''.$modulebase.'/assets/sequence/themes/style1/images/trans.png' );
	$sheight = (int) $params->get( 'sheight', '400' );
	$sheight768 = $sheight / 2;
	$sheight360 = $sheight768 / 2;
	$rbspos = $sheight - 60;
	$doc->addScript($modulebase.'assets/sequence/sequence.jquery-min.js');
	$scss1  = '
		#responsivebannerslider, .sequence { height:'.$sheight.'px;}
		.rbs_controls { top: '.$rbspos.'px; }

		@media screen and (min-width: 769px) {
				#responsivebannerslider, .sequence { height:'.$sheight.'px;}		
		}
		
		@media screen and (max-width: 768px) {
			#responsivebannerslider, #sequence { height:'.$sheight768.'px;}	
		}
					
		@media screen and (max-width: 360px) {
			#responsivebannerslider, #sequence { height:'.$sheight360.'px;}
		}
	
		#responsivebannerslider {background:url('.$sbgimg.') '.$sbg.';
			-webkit-background-size: 100% auto;
			-moz-background-size: 100% auto;
			background-size: 100% auto;
		}
	';

	$doc->addStyleDeclaration($scss1, 'text/css');
	
	// *** Start The System For Sequence === //
	$autoplayDelay	= intval( $params->get( 'autoplayDelay', 3000 ) );
	
	if ( $stheme == 1 ) {
		$doc->addstylesheet($modulebase.'assets/sequence/themes/style1/css/style.css');
		//IE hack
		$iecss = '<!--[if lt IE 9]>' ."\n";
		$iecss .= '<link rel="stylesheet" href="'.$modulebase.'assets/sequence/themes/style1/css/style-ie.css" />' ."\n";
		$iecss .= '<![endif]-->' ."\n";
		$doc->addCustomTag($iecss);
		
		$seqjs=' jQuery(document).ready(function(){
					$status = jQuery(".status");
					var options = {
						autoPlayDelay: '.$autoplayDelay.',
						pauseOnHover: true,
						hidePreloaderDelay: 500,
						nextButton: true,
						prevButton: true,
						pauseButton: true,
						preloader: true,
						hidePreloaderUsingCSS: false,						
						animateStartingFrameIn: true,		
						navigationSkipThreshold: 750,
						customKeyEvents: {
							80: "pause"
						}
					};
		
					var sequence = jQuery("#sequence-'.$rbs_mod_id.'").sequence(options).data("sequence");
		
					sequence.afterNextFrameAnimatesIn = function() {
						if(sequence.settings.autoPlay && !sequence.hardPaused && !sequence.isPaused) {
							$status.addClass("active").css("opacity", 1);
						}
						jQuery(".prev, .next").css("cursor", "pointer").animate({"opacity": 1}, 500);
					};
					sequence.beforeCurrentFrameAnimatesOut = function() {
						if(sequence.settings.autoPlay && !sequence.hardPaused) {
							$status.css({"opacity": 0}, 500).removeClass("active");
						}
						jQuery(".prev, .next").css("cursor", "auto").animate({"opacity": .7}, 500);
					};
					sequence.paused = function() {
						$status.css({"opacity": 0}).removeClass("active").addClass("paused");
					};
					sequence.unpaused = function() {
						if(!sequence.hardPaused) {
							$status.removeClass("paused").addClass("active").css("opacity", 1)
						}				
					};
				})	';
		$doc->addScriptDeclaration($seqjs, "text/javascript");
	} elseif ( $stheme == 2 ) {
		$doc->addstylesheet($modulebase.'assets/sequence/themes/style2/css/style.css');
		//IE hack
		$iecss = '<!--[if lt IE 9]>' ."\n";
		$iecss .= '<link rel="stylesheet" href="'.$modulebase.'assets/sequence/themes/style2/css/style-ie.css" />' ."\n";
		$iecss .= '<![endif]-->' ."\n";
		$doc->addCustomTag($iecss);
		
		$seqjs='
				jQuery(document).ready(function(){
					var options = {
						nextButton: true,
						prevButton: true,
						animateStartingFrameIn: true,
						autoPlayDelay: '.$autoplayDelay.',
						pauseOnHover: true
						
					};
					
					var sequence = jQuery("#sequence-'.$rbs_mod_id.'").sequence(options).data("sequence");
		
					sequence.afterLoaded = function(){
						jQuery("#seqnav").fadeIn(100);
						jQuery("#seqnav li:nth-child("+(sequence.settings.startingFrameID)+") img").addClass("active");
					}
		
					sequence.beforeNextFrameAnimatesIn = function(){
						jQuery("#seqnav li:not(:nth-child("+(sequence.nextFrameID)+")) img").removeClass("active");
						jQuery("#seqnav li:nth-child("+(sequence.nextFrameID)+") img").addClass("active");
					}
					
					jQuery("#seqnav li").click(function(){
						jQuery(this).children("img").removeClass("active").children("img").addClass("active");
						sequence.nextFrameID = jQuery(this).index()+1;
						sequence.goTo(sequence.nextFrameID);
					});
				});
				';
		$doc->addScriptDeclaration($seqjs, "text/javascript");
	} else { }

}

BannersHelper::updateReset();
$list = &modResponsiveBannerSliderHelper::getList($params);
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

require JModuleHelper::getLayoutPath('mod_responsivebannerslider', $params->get('layout', 'default'));
